local addonName, StrudelLocal = ...; -- Let's use the private table passed to every .lua file to store our locale
local function defaultFunc(L, key)
 return key;
end
setmetatable(StrudelLocal, {__index=defaultFunc});
--Messages
StrudelLocal["WelcomeMessage"]= "Thank you for using StrudelStore |cFFFFFF00" .. GetAddOnMetadata("StrudelStore","Version"); --Do not change the text after the | 
StrudelLocal["SlashCommandMessage1"]= "|cFF99CCFFStrudelstore " .. GetAddOnMetadata("StrudelStore", "Version");
StrudelLocal["SlashCommandMessage2"]= "The following commands are available:";
StrudelLocal["SlashCommandMessage3"]= "|cFF99CCFF Syntax: |r  /Strudelstore [command] or /Strudel [command]";
StrudelLocal["SlashCommandMessage4"]= "|cFF99CCFF Settings/Options |r  --Shows the option pane"; --Do not change text before --
StrudelLocal["SlashCommandMessage5"]= "|cFF99CCFF Show |r  --Shows the main pane"; --Do not change text before --
StrudelLocal["SlashCommandMessage6"]= "|cFF99CCFF Hide |r --Hides the main pane"; --Do not change text before --
StrudelLocal["CombatError"]= "|cFF99CCFF[StrudelStore]|r You can't do that in combat.";
--Labels
StrudelLocal["ConjureFrameTitle"] = "CONJURING";
StrudelLocal["ConjureFrameSubTitle"] = "Pick your refreshment";
StrudelLocal["TeleportFrameTitle"] = "TELEPORTS";
StrudelLocal["PortalFrameTitle"] = "PORTALS";
StrudelLocal["OptionFrameTitle"] = "STRUDELSTORE SETTINGS";
--Buttons -> Main
StrudelLocal["SettingsButton"]= "Settings";
StrudelLocal["CloseButton"]="Close";
StrudelLocal["ConjureTabButton"] = "Conjuring"; 
StrudelLocal["PortalTabButton"] = "Portals"; 
StrudelLocal["TeleportTabButton"] = "Teleports"; 

--Buttons -> Conjuring
StrudelLocal["TableButton"] = "Table";
StrudelLocal["RefreshButton"]= "Refreshment";
StrudelLocal["ManagemButton"]= "Mana Gem";

--Buttons -> Portals/Teleports
StrudelLocal["StormwindButton"]= "Stormwind";
StrudelLocal["IronforgeButton"]= "Ironforge";
StrudelLocal["DarnassusButton"]= "Darnassus";
StrudelLocal["ExodarButton"]= "Exodar";
StrudelLocal["TheramoreButton"]= "Theramore";
StrudelLocal["OrgrimmarButton"]= "Orgrimmar";
StrudelLocal["UndercityButton"]= "Undercity";
StrudelLocal["ThunderbluffButton"]= "Thunder Bluff";
StrudelLocal["SilvermoonButton"]= "Silvermoon";
StrudelLocal["StonardButton"]= "Stonard";
StrudelLocal["ShattrathButton"]= "Shattrath";
StrudelLocal["DalaranButton"]= "Dalaran";
StrudelLocal["TolbaradButton"]= "Tol Barad";
--Buttons -> Portals/Teleports Compact
StrudelLocal["StormwindCompactButton"]= "SW";
StrudelLocal["IronforgeCompactButton"]= "IF";
StrudelLocal["DarnassusCompactButton"]= "Darn";
StrudelLocal["ExodarCompactButton"]= "Ex";
StrudelLocal["TheramoreCompactButton"]= "Thera";
StrudelLocal["OrgrimmarCompactButton"]= "OG";
StrudelLocal["UndercityCompactButton"]= "UC";
StrudelLocal["ThunderbluffCompactButton"]= "TB";
StrudelLocal["SilvermoonCompactButton"]= "SC";
StrudelLocal["StonardCompactButton"]= "ST";
StrudelLocal["ShattrathCompactButton"]= "Shatt";
StrudelLocal["DalaranCompactButton"]= "Dala";
StrudelLocal["TolbaradCompactButton"]= "ToB";
--Buttons/Labels -> Optionpane
 StrudelLocal["LayoutLabel"] = "Layout";
 StrudelLocal["ShowPortalTab"] = "Show Portal Tab";
 StrudelLocal["ShowTeleportTab"] = "Show Teleport Tab";
 StrudelLocal["Opacity"] = "Opacity";
 StrudelLocal["ResetPosition"] = "Reset Position";
 StrudelLocal["ShowOnLogon"] = "Show on login";
 StrudelLocal["ShowMinimap"] = "Show minimap button";